Subject: Bug Report mod_ssl 2.8.8 for Apache 1.3.24 with openssl-0.9.6.d

From: "Courtin Bert" <[email-masked]>
Date: Tue, 28 May 2002 17:11:53 +0200

Hi there,

using openssl-0.9.6.d with Apache/1.3.24 (Unix) mod_perl/1.26 PHP/4.2.0 mod_ssl/2.8.8 seems to lead to the following error on solaris 2.8:

Apaches error-log:
[error] mod_ssl: Init: Failed to generate temporary 512 bit RSA private key

which prevents apache from starting.

Openssl-0.9.6.c works without any problems (with the same compile options etc.)

Kind regards,
Bert Courtin
	
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]